INICIO FORO
Regresar   ForoCoches > Zona General > Electrónica / Informática


  Elementary OS y Tarjeta de Intel® 9560 ¿Incompatibles?  
Respuesta

TARJETA AMEX: Primera cuota anual gratis y 20.000 puntos
Tarjeta Gold American Express



 
Herramientas
Viejo 29-dic-2019, 22:24   #1
Losuperare
⭐️ Cuenta Premium ⭐️
 
Avatar de Losuperare
 
Dic 2013 | 1.120 Mens.
Lugar: Puerto Williams
Elementary OS y Tarjeta de Intel® 9560 ¿Incompatibles?

Buenas tardes shurs, a ver si me pueden ayudar.


Tengo un MSI Modern 14 A10RB que tiene una adaptador inalámbrico Intel® 9560. Si bien Debian y Ubuntu son capaces de reconocerlo sin necesidad de instalar ningún firmware, esto no ocurre con Elementary.


Intenté instalar el firmware de acuerdo a las instrucciones de Intel (https://www.intel.la/content/www/xl/...etworking.html)



Descargué y descomprimí en la carpeta /lib/firmware. pero sigue sin funcionar. ¿Puede ser que me esté faltando un pasó?




Muchas gracias.

El que se está ahogando no repara en lo que tiene a mano para agarrarse.
Losuperare está desconectado   Responder Con Cita


Viejo 29-dic-2019, 23:14   #2
impreza233
ForoCoches: Usuario
 
Dic 2019 | 247 Mens.
Lugar: Alicante

Ford Sierra 2.0i

El driver de este adaptador inalámbrico viene en el kernel Linux nativamente (de la versión 4.14 en adelante). Por eso Debian y Ubuntu te lo reconocen enseguida). Imagino que Elementary habrá eliminado algo de soporte por ahí. ¿En qué versión del sistema te está pasando esto?

impreza233 está conectado ahora   Responder Con Cita
Viejo 30-dic-2019, 04:35   #3
Losuperare
⭐️ Cuenta Premium ⭐️
 
Avatar de Losuperare
 
Dic 2013 | 1.120 Mens.
Lugar: Puerto Williams
Cita:
Originalmente Escrito por impreza233 Ver Mensaje
El driver de este adaptador inalámbrico viene en el kernel Linux nativamente (de la versión 4.14 en adelante). Por eso Debian y Ubuntu te lo reconocen enseguida). Imagino que Elementary habrá eliminado algo de soporte por ahí. ¿En qué versión del sistema te está pasando esto?

Me descargué la ISO desde su web, así que supongo que debe ser la más reciente.

El que se está ahogando no repara en lo que tiene a mano para agarrarse.
Losuperare está desconectado   Responder Con Cita
Viejo 30-dic-2019, 10:01   #4
impreza233
ForoCoches: Usuario
 
Dic 2019 | 247 Mens.
Lugar: Alicante

Ford Sierra 2.0i

Cita:
Originalmente Escrito por Losuperare Ver Mensaje
Me descargué la ISO desde su web, así que supongo que debe ser la más reciente.
Sí. Entonces eso tiene pinta de que faltan drivers en el kernel.

Imagino que el driver que te descargaste, al descomprimir, habrá venido en una carpeta. El contenido del interior de esa carpeta es el que tiene que ir en /lib/firmware, no vale con copiar/pegar la carpeta allí. A lo mejor no funciona por eso.

impreza233 está conectado ahora   Responder Con Cita


Viejo 30-dic-2019, 15:05   #5
Losuperare
⭐️ Cuenta Premium ⭐️
 
Avatar de Losuperare
 
Dic 2013 | 1.120 Mens.
Lugar: Puerto Williams
Cita:
Originalmente Escrito por impreza233 Ver Mensaje
Sí. Entonces eso tiene pinta de que faltan drivers en el kernel.

Imagino que el driver que te descargaste, al descomprimir, habrá venido en una carpeta. El contenido del interior de esa carpeta es el que tiene que ir en /lib/firmware, no vale con copiar/pegar la carpeta allí. A lo mejor no funciona por eso.

Pues si. Yo estaba haciendo exactamente eso, lo de copiar y pegar a lo windows


Debería bastar entonces con descoprimir el contenido de la carpeta. Muchas gracias!

El que se está ahogando no repara en lo que tiene a mano para agarrarse.
Losuperare está desconectado   Responder Con Cita
Viejo 30-dic-2019, 15:30   #6
impreza233
ForoCoches: Usuario
 
Dic 2019 | 247 Mens.
Lugar: Alicante

Ford Sierra 2.0i

Cita:
Originalmente Escrito por Losuperare Ver Mensaje
Pues si. Yo estaba haciendo exactamente eso, lo de copiar y pegar a lo windows


Debería bastar entonces con descoprimir el contenido de la carpeta. Muchas gracias!
Así es. De nada, compañero

impreza233 está conectado ahora   Responder Con Cita
Viejo 31-dic-2019, 05:53   #7
Losuperare
⭐️ Cuenta Premium ⭐️
 
Avatar de Losuperare
 
Dic 2013 | 1.120 Mens.
Lugar: Puerto Williams
Cita:
Originalmente Escrito por impreza233 Ver Mensaje
Así es. De nada, compañero



Nuevamente necesito ayuda... Conseguí mover los archivos a la carpeta señalada, pero al momento de "instalarlos" me tira este error:


Código:
[email protected]:/lib/firmware$ cp http://iwlwifi-9000-pu-b0-jf-b0-34.ucode /lib/firmware
cp: 'http://iwlwifi-9000-pu-b0-jf-b0-34.ucode' and '/lib/firmware/http://iwlwifi-9000-pu-b0-jf-b0-34.ucode' are the same file
[email protected]:/lib/firmware$ sudo cp http://iwlwifi-9000-pu-b0-jf-b0-34.ucode /lib/firmware
[sudo] password for marc:         
cp: 'http://iwlwifi-9000-pu-b0-jf-b0-34.ucode' and '/lib/firmware/http://iwlwifi-9000-pu-b0-jf-b0-34.ucode' are the same file

¿Eso significa que el firmware ya esta instalado? En ese caso. ¿Porqué no tengo internet en elementary, linux mint y deepin pero si en Ubuntu y derivados?

El que se está ahogando no repara en lo que tiene a mano para agarrarse.
Losuperare está desconectado   Responder Con Cita
Viejo 31-dic-2019, 06:32   #8
$af€
ForoCoches: Miembro
 
Avatar de $af€
 
Abr 2010 | 2.287 Mens.
No te sale en AppCenter->Updates->Drivers?

Sino prueba sudo ubuntu-drivers autoinstall

O quizás se el UEFI https://askubuntu.com/questions/7622...kernel-modules

$af€ está desconectado   Responder Con Cita
Viejo 31-dic-2019, 07:24   #9
Aokromes
ForoCoches: Miembro
 
Avatar de Aokromes
 
Jul 2006 | 4.158 Mens.
cp http://iwlwifi-9000-pu-b0-jf-b0-34.ucode /lib/firmware
¿? wtf?
Aokromes está desconectado   Responder Con Cita
Viejo 31-dic-2019, 11:54   #10
impreza233
ForoCoches: Usuario
 
Dic 2019 | 247 Mens.
Lugar: Alicante

Ford Sierra 2.0i

Cita:
Originalmente Escrito por Losuperare Ver Mensaje
Nuevamente necesito ayuda... Conseguí mover los archivos a la carpeta señalada, pero al momento de "instalarlos" me tira este error:


Código:
[email protected]:/lib/firmware$ cp http://iwlwifi-9000-pu-b0-jf-b0-34.ucode /lib/firmware
cp: 'http://iwlwifi-9000-pu-b0-jf-b0-34.ucode' and '/lib/firmware/http://iwlwifi-9000-pu-b0-jf-b0-34.ucode' are the same file
[email protected]:/lib/firmware$ sudo cp http://iwlwifi-9000-pu-b0-jf-b0-34.ucode /lib/firmware
[sudo] password for marc:         
cp: 'http://iwlwifi-9000-pu-b0-jf-b0-34.ucode' and '/lib/firmware/http://iwlwifi-9000-pu-b0-jf-b0-34.ucode' are the same file

¿Eso significa que el firmware ya esta instalado? En ese caso. ¿Porqué no tengo internet en elementary, linux mint y deepin pero si en Ubuntu y derivados?
Puede ser lo que te han comentado, sí. Elementary OS es algo distinto a Ubuntu, por lo que podrían suceder conflictos de ese estilo.

impreza233 está conectado ahora   Responder Con Cita
Viejo 31-dic-2019, 12:06   #11
arcx990
ForoCoches: Miembro
 
Jul 2011 | 109 Mens.
Lugar: Toledo
¿Has probado a cambiar la versión del kernel por una más reciente? En elementary puedes instalar el paquete linux-generic-hwe-18.04-edge para probar.
Después de reiniciar puedes comprobar que has cambiado de versión de kernel con el comando “uname-a”

Un saludo.
arcx990 está desconectado   Responder Con Cita
Viejo 01-ene-2020, 17:56   #12
Losuperare
⭐️ Cuenta Premium ⭐️
 
Avatar de Losuperare
 
Dic 2013 | 1.120 Mens.
Lugar: Puerto Williams
Thumbs up

Cita:
Originalmente Escrito por $af€ Ver Mensaje
No te sale en AppCenter->Updates->Drivers?

Sino prueba sudo ubuntu-drivers autoinstall

O quizás se el UEFI https://askubuntu.com/questions/7622...kernel-modules
Cita:
Originalmente Escrito por Aokromes Ver Mensaje
cp http://iwlwifi-9000-pu-b0-jf-b0-34.ucode /lib/firmware
¿? wtf?
Cita:
Originalmente Escrito por impreza233 Ver Mensaje
Puede ser lo que te han comentado, sí. Elementary OS es algo distinto a Ubuntu, por lo que podrían suceder conflictos de ese estilo.
Cita:
Originalmente Escrito por arcx990 Ver Mensaje
¿Has probado a cambiar la versión del kernel por una más reciente? En elementary puedes instalar el paquete linux-generic-hwe-18.04-edge para probar.
Después de reiniciar puedes comprobar que has cambiado de versión de kernel con el comando “uname-a”

Un saludo.

Finalmente pude solucionarlo. Conseguí conectar el equipo con cable ethenet y el sistema se me actualizó. Lamentablemente seguía sin funcionar, así que pedí ayuda en el foro oficial y finalmente Elementary reconoció mi tarjeta Wifi tras los siguientes comandos:


Código:
sudo apt-get install software-properties-common
sudo apt-get update

Y después:



Código:


 sudo add-apt-repository ppa:canonical-hwe-team/backport-iwlwifi  

sudo apt-get update  

 sudo apt-get install backport-iwlwifi-dkms


Finalmente:


Código:
sudo apt install http://linux-generic-hwe-18.04-edge

Esto ha funcionado tanto para Elementary, Linux Mint y Deepin.




Saludos y muchas gracias a todos por ayudarme! Pura vida.

El que se está ahogando no repara en lo que tiene a mano para agarrarse.
Losuperare está desconectado   Responder Con Cita


Viejo 01-ene-2020, 18:37   #13
Manu
ForoCoches: Miembro
 
Avatar de Manu
 
Abr 2003 | 5.179 Mens.
Lugar: Entre Madrid y León

Uno con 4 ruedas

Me encanta Linux, pero el soporte de perifericos y especialmente para chips wifi es lamentable, asi que despues de ver muchas veces como al actualizar kernel algunos componentes funcionan, otros funcionan peor y otros directamente no funcionan, me he vuelto a Windows 10 hasta que vuelva a tener mas tiempo para aprender Linux que, en efecto ha conseguido que llegue a comprender como funciona un sistema operativo de manera basica, pero ahora mismo no puedo emplear tanto tiempo en seguir esa curva de aprendizaje para que un sistema linux funcione y siga haciendolo despues de las actualizaciones.
Manu está desconectado   Responder Con Cita
Viejo 02-ene-2020, 12:24   #14
impreza233
ForoCoches: Usuario
 
Dic 2019 | 247 Mens.
Lugar: Alicante

Ford Sierra 2.0i

Cita:
Originalmente Escrito por Losuperare Ver Mensaje
Finalmente pude solucionarlo. Conseguí conectar el equipo con cable ethenet y el sistema se me actualizó. Lamentablemente seguía sin funcionar, así que pedí ayuda en el foro oficial y finalmente Elementary reconoció mi tarjeta Wifi tras los siguientes comandos:


Código:
sudo apt-get install software-properties-common
sudo apt-get update

Y después:



Código:


 sudo add-apt-repository ppa:canonical-hwe-team/backport-iwlwifi  

sudo apt-get update  

 sudo apt-get install backport-iwlwifi-dkms


Finalmente:


Código:
sudo apt install http://linux-generic-hwe-18.04-edge

Esto ha funcionado tanto para Elementary, Linux Mint y Deepin.




Saludos y muchas gracias a todos por ayudarme! Pura vida.
Gracias por indicarlo!!! Me guardo estas indicaciones por si acaso en el futuro me ocurren este tipo de problemas.
impreza233 está conectado ahora   Responder Con Cita
Viejo 03-ene-2020, 02:27   #15
Losuperare
⭐️ Cuenta Premium ⭐️
 
Avatar de Losuperare
 
Dic 2013 | 1.120 Mens.
Lugar: Puerto Williams
Al final tuve que volver a Windows. El WiFi se me caia cada 30 minutos... Además de que aumentaba mucho la temperatura de la computadora y disparaba la velocidad de los ventiladores... Un desastre.

El que se está ahogando no repara en lo que tiene a mano para agarrarse.
Losuperare está desconectado   Responder Con Cita
Viejo 10-ene-2020, 21:20   #16
Losuperare
⭐️ Cuenta Premium ⭐️
 
Avatar de Losuperare
 
Dic 2013 | 1.120 Mens.
Lugar: Puerto Williams
Cita:
Originalmente Escrito por Losuperare Ver Mensaje
Al final tuve que volver a Windows. El WiFi se me caia cada 30 minutos... Además de que aumentaba mucho la temperatura de la computadora y disparaba la velocidad de los ventiladores... Un desastre.

Finalmente pude encontrar la solución, lo comparto para quién tenga el mismo problema:


Abrid terminal y pongan los siguientes comandos:


Código:
sudo apt-get install inxi
Instalar este programa nos permitirá conocer el driver de nuestro computador. En el caso de la tarjeta de red Intel 9560, es "iwlwifi"


Después, ponemos los siguientes comandos en la terminal:

Código:
grep [[:alnum:]] /sys/module/iwlwifi/parameters/*
Cita:
echo "options iwflwifi fwlps=N" | sudo tee /etc/modprobe.d/iwlwifi.conf



Y con eso debería quedar solucionado de una vez por todas el problema del wifi.

El que se está ahogando no repara en lo que tiene a mano para agarrarse.
Losuperare está desconectado   Responder Con Cita
Viejo 12-mar-2020, 20:43   #17
SMARTER 2.0
ForoCoches VIP ☑️
 
Avatar de SMARTER 2.0
 
Ene 2014 | 3.694 Mens.
Lugar: España

Jun 2010 | 13.615 Mens.

Cita:
Originalmente Escrito por Losuperare Ver Mensaje
Finalmente pude solucionarlo. Conseguí conectar el equipo con cable ethenet y el sistema se me actualizó. Lamentablemente seguía sin funcionar, así que pedí ayuda en el foro oficial y finalmente Elementary reconoció mi tarjeta Wifi tras los siguientes comandos:


Código:
sudo apt-get install software-properties-common
sudo apt-get update

Y después:



Código:


 sudo add-apt-repository ppa:canonical-hwe-team/backport-iwlwifi  

sudo apt-get update  

 sudo apt-get install backport-iwlwifi-dkms


Finalmente:


Código:
sudo apt install http://linux-generic-hwe-18.04-edge

Esto ha funcionado tanto para Elementary, Linux Mint y Deepin.




Saludos y muchas gracias a todos por ayudarme! Pura vida.
Alguien sabe si es posible pone esta tarjeta wireless en modo monitoreo? Gracias.

Resurgí de las cenizas, por tercera vez.
SMARTER 2.0 está desconectado   Responder Con Cita
Viejo 26-mar-2020, 17:25   #18
sarundalf
Forocochia57
 
Avatar de sarundalf
 
Jun 2009 | 810 Mens.
Lugar: Barcelona

Uno negro

Refloto el tema para preguntar a todos y en concreto al op @Losuperare

Tengo un Lenovo con la tarjeta Intel AC 3165 y con elementary me utiliza el driver genérico que trae, en concreto el iwlwifi.
Tanto en linux mint como en ubuntu me funcionaba perfectamente el wifi en cambio en Elementary OS la señal, aunque esté a 1m del router siempre es baja, se ralentiza mucho.
He seguido los pasos del post y no he notado diferencia alguna.
Alguien sabe como se puede mejorar la señal que recibo? Debo editar algún fichero?
sarundalf está desconectado   Responder Con Cita
Viejo 26-mar-2020, 18:02   #19
Chrysler
Mayéutico Fedorino
 
Avatar de Chrysler
 
Mar 2003 | 15.578 Mens.
Cita:
Originalmente Escrito por sarundalf Ver Mensaje
Refloto el tema para preguntar a todos y en concreto al op @Losuperare

Tengo un Lenovo con la tarjeta Intel AC 3165 y con elementary me utiliza el driver genérico que trae, en concreto el iwlwifi.
Tanto en linux mint como en ubuntu me funcionaba perfectamente el wifi en cambio en Elementary OS la señal, aunque esté a 1m del router siempre es baja, se ralentiza mucho.
He seguido los pasos del post y no he notado diferencia alguna.
Alguien sabe como se puede mejorar la señal que recibo? Debo editar algún fichero?
Hola:

Mira que te devuelve la terminal
Código:
lsmod |grep  iwlwifi
Una vez tengas con exactitud el módulo lo que vas a hacer es una prueba , mejor dicho dos.
La primera es en la terminal:
Desactivar el módulo

Código:
sudo modprobe -r  módulo
Y a continuación activarlo con cambio de antena

Código:
sudo modprobe módulo ant_sel=2
Pruebas ...que sigues igual o peor vuelves a desactivarlo y lo activas con

Código:
sudo modprobe  módulo  ant_sel=1
Vuelves a probar si en alguno de los dos casos te funciona bien , entonces hacemos el cambio permanente

Creamos un archivo así:
sudo nano /etc/modprobe.d/modulo-ant-sel.conf
Y dentro de ese archivo pones

Código:
options  módulo ant_sel=X
Que no te funciona ninguna de las dos cosas , pues entonces es que el driver de ese kernel va mal y hay que poner otro si es posible.


Saludos.


Con módulo me refiero a por ejemplo si es iwlmvm por poner un ejemplo.

La verdad esta dormida en la mente de cada Hombre...
...En lo social MCRC......Además no seré libre hasta que tú no lo seas A.G-T
Chrysler está conectado ahora   Responder Con Cita
Viejo 27-mar-2020, 15:55   #20
sarundalf
Forocochia57
 
Avatar de sarundalf
 
Jun 2009 | 810 Mens.
Lugar: Barcelona

Uno negro

Cita:
Originalmente Escrito por Chrysler Ver Mensaje
Hola:

Mira que te devuelve la terminal
Código:
lsmod |grep  iwlwifi
Una vez tengas con exactitud el módulo lo que vas a hacer es una prueba , mejor dicho dos.
La primera es en la terminal:
Desactivar el módulo

Código:
sudo modprobe -r  módulo
Y a continuación activarlo con cambio de antena

Código:
sudo modprobe módulo ant_sel=2
Pruebas ...que sigues igual o peor vuelves a desactivarlo y lo activas con

Código:
sudo modprobe  módulo  ant_sel=1
Vuelves a probar si en alguno de los dos casos te funciona bien , entonces hacemos el cambio permanente

Creamos un archivo así:
sudo nano /etc/modprobe.d/modulo-ant-sel.conf
Y dentro de ese archivo pones

Código:
options  módulo ant_sel=X
Que no te funciona ninguna de las dos cosas , pues entonces es que el driver de ese kernel va mal y hay que poner otro si es posible.


Saludos.


Con módulo me refiero a por ejemplo si es iwlmvm por poner un ejemplo.

Hola compañero! en primer lugar gracias por tu ayuda, pero debo decir que no me funciona el cambio de antena, en concreto el terminal me devuelve esto:



Código:
iwlwifi               376832  1 iwlmvm
cfg80211              688128  4 wl,iwlmvm,iwlwifi,mac80211
compat                 16384  4 iwlmvm,iwlwifi,mac80211,cfg80211

he probado seleccionando la antena 2 tanto en "iwlmvm" como en "wl" y en ámbos casos no ha mejorado: en el caso de iwlmvm se desactiva totalmente el wifi y desaparece la conexión inalámbrica de la barra superior. En el caso de wl no hace nada.


Obviamente ya no he llegado a la última parte para dejar el cambio permanente.


Me falta cambiar el driver o el kernel, si es posible... pero aquí ya me pierdo.


Lo que no puedo entender es que si Elementary está basado en Ubuntu porqué tanto Ubuntu como Mint me funciona el wifi perfectamente?
sarundalf está desconectado   Responder Con Cita
Viejo 27-mar-2020, 16:13   #21
Chrysler
Mayéutico Fedorino
 
Avatar de Chrysler
 
Mar 2003 | 15.578 Mens.
Cita:
Originalmente Escrito por sarundalf Ver Mensaje
Hola compañero! en primer lugar gracias por tu ayuda, pero debo decir que no me funciona el cambio de antena, en concreto el terminal me devuelve esto:



Código:
iwlwifi               376832  1 iwlmvm
cfg80211              688128  4 wl,iwlmvm,iwlwifi,mac80211
compat                 16384  4 iwlmvm,iwlwifi,mac80211,cfg80211
he probado seleccionando la antena 2 tanto en "iwlmvm" como en "wl" y en ámbos casos no ha mejorado: en el caso de iwlmvm se desactiva totalmente el wifi y desaparece la conexión inalámbrica de la barra superior. En el caso de wl no hace nada.


Obviamente ya no he llegado a la última parte para dejar el cambio permanente.


Me falta cambiar el driver o el kernel, si es posible... pero aquí ya me pierdo.


Lo que no puedo entender es que si Elementary está basado en Ubuntu porqué tanto Ubuntu como Mint me funciona el wifi perfectamente?
Hola:

Si, Elementary está basado en Ubuntu , pero ahora hay que ver que versiones has probado.

Por ejemplo que kernel usa Ubuntu en el cual te funciona y después hay que ver si en los repos de Elementary está el mismo kernel.

Así por encima en Elementary 5.1.2 tienes el siguiente kernel:
linux-firmware 1.173.14
• linux-generic-hwe-18.04 5.3.0.28.96
• linux-headers-5.3.0-28 5.3.0-28.30~18.04.1
• linux-headers-5.3.0-28-generic 5.3.0-28.30~18.04.1
• linux-headers-generic-hwe-18.04 5.3.0.28.96
• linux-image-5.3.0-28-generic 5.3.0-28.30~18.04.1
• linux-image-generic-hwe-18.04 5.3.0.28.96
• linux-modules-5.3.0-28-generic 5.3.0-28.30~18.04.1
• linux-modules-extra-5.3.0-28-generic 5.3.0-28.30~18.04.1

Si usas 5.0

linux-headers-4.15.0-36 4.15.0-36.39
• linux-headers-4.15.0-36-generic 4.15.0-36.39
• linux-headers-generic 4.15.0.36.38
• linux-image-4.15.0-36-generic 4.15.0-36.39
• linux-image-generic 4.15.0.36.38
• linux-libc-dev:amd64 4.15.0-36.39
• linux-modules-4.15.0-36-generic 4.15.0-36.39
• linux-modules-extra-4.15.0-36-generic 4.15.0-36.39
• linux-signed-generic 4.15.0.36.38
• linux-signed-image-generic 4.15.0.36.38

Ahora compáralos con el Ubuntu que te funciona.

Saludos.

La verdad esta dormida en la mente de cada Hombre...
...En lo social MCRC......Además no seré libre hasta que tú no lo seas A.G-T
Chrysler está conectado ahora   Responder Con Cita


Respuesta

TARJETA AMEX: Primera cuota anual gratis y 20.000 puntos
Tarjeta Gold American Express



Regresar   Inicio | ForoCoches > Zona General > Electrónica / Informática

Regresar Amazon.es

    - Electrónica
    - Informática
    - VideoJuegos
    - Libros
    - Bricolaje y Herramientas
 PCComponentes.com

    - Componentes
    - Periféricos
    - Ordenadores
    - Smartphones
    - Audio/Foto/Video

Regresar  Tiendas Chinas:

    - GearBest
    - BangGood
Herramientas


 [ VERSIÓN MÓVIL ]
Info Legal | Privacidad | Cookies | Notificaciones | Normas de uso | Publicidad | Updates | Stats | Ayuda | Invitaciones | Contacto